import { isNoValue as n } from "../utils.mjs";
const s = {
  get(o) {
    let e = [];
    const t = o.component?.exposed;
    return t && (e = t.getRowsData()), e;
  },
  set(o, e) {
    if (n(e)) return;
    const t = o.component?.exposed;
    t && t.setTableData(e);
  }
};
export {
  s as default
};
